> ## Documentation Index
> Fetch the complete documentation index at: https://docs.merchantops.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Price Record

> Create a new price record.



## OpenAPI

````yaml /openapi/merchantops-public.json post /api/pricing/records
openapi: 3.1.0
info:
  description: >-
    Public API for the MerchantOps product catalog, pricing, and publishing
    surface.
  title: MerchantOps API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.merchantops.ai
security: []
paths:
  /api/pricing/records:
    post:
      tags:
        - Pricing
        - Pricing
        - Price Records
      summary: Create Price Record
      description: Create a new price record.
      operationId: create_price_record
      parameters:
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: X-Organization-ID
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Organization-Id
        - in: cookie
          name: stytch_session
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Stytch Session
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreatePriceRecordRequest'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema: {}
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    CreatePriceRecordRequest:
      description: Request body for creating a price record.
      properties:
        amount:
          title: Amount
          type: number
        brand_key:
          title: Brand Key
          type: string
        currency:
          default: USD
          title: Currency
          type: string
        effective_from:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Effective From
        effective_to:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Effective To
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
        price_type:
          default: map
          description: 'One of: map, map_stepdown, sale, markdown, msrp'
          title: Price Type
          type: string
        product_key:
          title: Product Key
          type: string
        umap_flag:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Umap Flag
        variant_key:
          anyOf:
            - type: string
            - type: 'null'
          title: Variant Key
      required:
        - product_key
        - brand_key
        - amount
      title: CreatePriceRecordRequest
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````